Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05146 DIP/Input Minor Always Feb 12, 2013, 07:49 Nov 7, 2014, 09:33
Tester Robbbert View Status Public Platform MESS (Self-compiled)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver iq151.cpp
Version 0.148u1 Fixed in Version 0.153 Build Normal
Summary MESS-specific 05146: iq151: Keyboard not working properly
Description When started there is a strange symbol on screen. After pressing a few keys, it no longer responds.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.148u1
Affected Sets / Systems iq151
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
2
User avatar
No.09353
Tafoid
Administrator
Feb 13, 2013, 09:11
Looks like it regressed during r20681: "(MESS) Used modern accessors for i8259."
User avatar
No.09356
Robbbert
Developer
Feb 13, 2013, 09:50
edited on: Feb 13, 2013, 09:54
Further testing revealed more info. In -debug, shortly after doing a vertical retrace with parameter of 1, it suddenly jumps to empty ram at 7FC3. The mystery character is 0x8A. And the hang after pressing any key is because it gets into an endless loop at F8AC.

Also, there is an overlapping io range in the address map.